from invoke import task


@task(name="dev")
def serve_dev(c):
    """Runs the development server of this litestar project"""
    c.run("echo 'Starting dev server'")
    c.run("LITESTAR_APP=learn_litestar.app:app litestar run --reload")


@task
def delint(c):
    c.run("isort ./learn_litestar ./tests", pty=True)
    c.run("black ./learn_litestar ./tests", pty=True)
